Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/Debug/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/Debug/Makefile	(revision 374)
@@ -172,5 +172,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -226,5 +226,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o client.o jsonsl.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEnbt/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEnbt/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEnbt/Makefile	(revision 374)
@@ -172,5 +172,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -226,5 +226,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o client.o jsonsl.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEther/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEther/Makefile	(revision 374)
@@ -172,5 +172,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -226,5 +226,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o client.o jsonsl.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.c	(revision 374)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: client.c 1729 2019-01-09 14:44:36Z coas-nagasima $
+ *  @(#) $Id$
  */
 #include <lib/curl_config.h>
@@ -47,5 +47,5 @@
 #include "kernel_cfg.h"
 #include "ff.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "client.h"
 #include "jsonsl.h"
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.h	(revision 374)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: client.h 1784 2019-02-06 01:11:25Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/echonet_main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/echonet_main.c	(revision 374)
@@ -905,18 +905,18 @@
 static uint8_t main_read_button(analogin_t *obj)
 {
-	float a = analogin_read(obj);
-
-	a *= 5.0;
+	int a = analogin_read_u16(obj);
+
+	a *= 5;
 
 	//printf("Button read analog = %f\r\n",a);
-	if (a < 0.2)
+	if (a < (int)(0.2 * 65536))
 		return BUTTON_DOWN;
-	if (a < 1.0)
+	if (a < (int)(1.0 * 65536))
 		return BUTTON_RIGHT;
-	if (a < 1.7)
+	if (a < (int)(1.7 * 65536))
 		return BUTTON_SELECT;
-	if (a < 2.6)
+	if (a < (int)(2.6 * 65536))
 		return BUTTON_UP;
-	if (a < 4.6)
+	if (a < (int)(4.6 * 65536))
 		return BUTTON_LEFT;
 	else
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c	(revision 374)
@@ -68,5 +68,5 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "usrcmd.h"
 #include "util/ntopt.h"
@@ -192,19 +192,14 @@
 {
 	FILINFO fno;
-#if _USE_LFN
-	char lfn[_MAX_LFN + 1];
+#if FF_USE_LFN
+	char lfn[FF_MAX_LFN + 1];
 	fno.lfname = lfn;
-	fno.lfsize = _MAX_LFN + 1;
+	fno.lfsize = FF_MAX_LFN + 1;
 #endif
 	ER ret;
 
-#ifdef TOPPERS_OMIT_TECS
-	serial_opn_por(SIO_PORTID);
-#endif
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
 	//wolfSSL_Debugging_ON();
 
-	ntshell_task_init(uart_read, uart_write, &main_obj);
+	ntshell_task_init(SIO_PORTID);
 
 	main_obj.timer = TMO_FEVR;
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.cfg	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.cfg	(revision 374)
@@ -51,4 +51,5 @@
 
 INCLUDE("tecsgen.cfg");
+INCLUDE("mbed_stub.cfg");
 
 INCLUDE("tinet/tinet_asp.cfg");
Index: asp3_tinet_ecnl_arm/trunk/app2_light/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app2_light/Debug/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app2_light/Debug/Makefile	(revision 374)
@@ -163,5 +163,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -208,5 +208,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app2_light/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app2_light/DebugEther/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app2_light/DebugEther/Makefile	(revision 374)
@@ -161,5 +161,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -206,5 +206,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app2_light/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app2_light/src/main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app2_light/src/main.c	(revision 374)
@@ -67,5 +67,5 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "usrcmd.h"
 #include "util/ntopt.h"
@@ -183,17 +183,12 @@
 {
 	FILINFO fno;
-#if _USE_LFN
-	char lfn[_MAX_LFN + 1];
+#if FF_USE_LFN
+	char lfn[FF_MAX_LFN + 1];
 	fno.lfname = lfn;
-	fno.lfsize = _MAX_LFN + 1;
+	fno.lfsize = FF_MAX_LFN + 1;
 #endif
 	ER ret;
 
-#ifdef TOPPERS_OMIT_TECS
-	serial_opn_por(SIO_PORTID);
-#endif
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
-	ntshell_task_init(uart_read, uart_write, &main_obj);
+	ntshell_task_init(SIO_PORTID);
 
 	main_obj.timer = TMO_FEVR;
Index: asp3_tinet_ecnl_arm/trunk/app2_light/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app2_light/src/main.cfg	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app2_light/src/main.cfg	(revision 374)
@@ -51,4 +51,5 @@
 
 INCLUDE("tecsgen.cfg");
+INCLUDE("mbed_stub.cfg");
 
 INCLUDE("tinet/tinet_asp.cfg");
Index: asp3_tinet_ecnl_arm/trunk/app3_human_detec/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app3_human_detec/Debug/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app3_human_detec/Debug/Makefile	(revision 374)
@@ -163,5 +163,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -208,5 +208,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app3_human_detec/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app3_human_detec/DebugEther/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app3_human_detec/DebugEther/Makefile	(revision 374)
@@ -161,5 +161,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -206,5 +206,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.c	(revision 374)
@@ -67,5 +67,5 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "usrcmd.h"
 #include "util/ntopt.h"
@@ -183,17 +183,12 @@
 {
 	FILINFO fno;
-#if _USE_LFN
-	char lfn[_MAX_LFN + 1];
+#if FF_USE_LFN
+	char lfn[FF_MAX_LFN + 1];
 	fno.lfname = lfn;
-	fno.lfsize = _MAX_LFN + 1;
+	fno.lfsize = FF_MAX_LFN + 1;
 #endif
 	ER ret;
 
-#ifdef TOPPERS_OMIT_TECS
-	serial_opn_por(SIO_PORTID);
-#endif
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
-	ntshell_task_init(uart_read, uart_write, &main_obj);
+	ntshell_task_init(SIO_PORTID);
 
 	main_obj.timer = TMO_FEVR;
Index: asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.cfg	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app3_human_detec/src/main.cfg	(revision 374)
@@ -51,4 +51,5 @@
 
 INCLUDE("tecsgen.cfg");
+INCLUDE("mbed_stub.cfg");
 
 INCLUDE("tinet/tinet_asp.cfg");
Index: asp3_tinet_ecnl_arm/trunk/app4_aircon/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app4_aircon/Debug/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app4_aircon/Debug/Makefile	(revision 374)
@@ -169,5 +169,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -217,5 +217,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app4_aircon/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app4_aircon/DebugEther/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app4_aircon/DebugEther/Makefile	(revision 374)
@@ -167,5 +167,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -215,5 +215,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app4_aircon/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app4_aircon/src/echonet_main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app4_aircon/src/echonet_main.c	(revision 374)
@@ -1091,18 +1091,18 @@
 static uint8_t main_read_button(analogin_t *obj)
 {
-	float a = analogin_read(obj);
-
-	a *= 5.0;
+	int a = analogin_read_u16(obj);
+
+	a *= 5;
 
 	//printf("Button read analog = %f\r\n",a);
-	if (a < 0.2)
+	if (a < (int)(0.2 * 65536))
 		return BUTTON_DOWN;
-	if (a < 1.0)
+	if (a < (int)(1.0 * 65536))
 		return BUTTON_RIGHT;
-	if (a < 1.7)
+	if (a < (int)(1.7 * 65536))
 		return BUTTON_SELECT;
-	if (a < 2.6)
+	if (a < (int)(2.6 * 65536))
 		return BUTTON_UP;
-	if (a < 4.6)
+	if (a < (int)(4.6 * 65536))
 		return BUTTON_LEFT;
 	else
Index: asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.c	(revision 374)
@@ -67,5 +67,5 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "usrcmd.h"
 #include "util/ntopt.h"
@@ -183,17 +183,12 @@
 {
 	FILINFO fno;
-#if _USE_LFN
-	char lfn[_MAX_LFN + 1];
+#if FF_USE_LFN
+	char lfn[FF_MAX_LFN + 1];
 	fno.lfname = lfn;
-	fno.lfsize = _MAX_LFN + 1;
+	fno.lfsize = FF_MAX_LFN + 1;
 #endif
 	ER ret;
 
-#ifdef TOPPERS_OMIT_TECS
-	serial_opn_por(SIO_PORTID);
-#endif
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
-	ntshell_task_init(uart_read, uart_write, &main_obj);
+	ntshell_task_init(SIO_PORTID);
 
 	main_obj.timer = TMO_FEVR;
Index: asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.cfg	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app4_aircon/src/main.cfg	(revision 374)
@@ -51,4 +51,5 @@
 
 INCLUDE("tecsgen.cfg");
+INCLUDE("mbed_stub.cfg");
 
 INCLUDE("tinet/tinet_asp.cfg");
Index: asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/Debug/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/Debug/Makefile	(revision 374)
@@ -169,5 +169,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -217,5 +217,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/DebugEther/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/DebugEther/Makefile	(revision 374)
@@ -167,5 +167,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -215,5 +215,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.c	(revision 374)
@@ -67,5 +67,5 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "usrcmd.h"
 #include "util/ntopt.h"
@@ -183,17 +183,12 @@
 {
 	FILINFO fno;
-#if _USE_LFN
-	char lfn[_MAX_LFN + 1];
+#if FF_USE_LFN
+	char lfn[FF_MAX_LFN + 1];
 	fno.lfname = lfn;
-	fno.lfsize = _MAX_LFN + 1;
+	fno.lfsize = FF_MAX_LFN + 1;
 #endif
 	ER ret;
 
-#ifdef TOPPERS_OMIT_TECS
-	serial_opn_por(SIO_PORTID);
-#endif
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
-	ntshell_task_init(uart_read, uart_write, &main_obj);
+	ntshell_task_init(SIO_PORTID);
 
 	main_obj.timer = TMO_FEVR;
Index: asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.cfg	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app5_temp_sensor/src/main.cfg	(revision 374)
@@ -51,4 +51,5 @@
 
 INCLUDE("tecsgen.cfg");
+INCLUDE("mbed_stub.cfg");
 
 INCLUDE("tinet/tinet_asp.cfg");
Index: asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/Debug/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/Debug/Makefile	(revision 374)
@@ -163,5 +163,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -208,5 +208,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/DebugEther/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/DebugEther/Makefile	(revision 374)
@@ -161,5 +161,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -206,5 +206,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.c	(revision 374)
@@ -67,5 +67,5 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "usrcmd.h"
 #include "util/ntopt.h"
@@ -183,17 +183,12 @@
 {
 	FILINFO fno;
-#if _USE_LFN
-	char lfn[_MAX_LFN + 1];
+#if FF_USE_LFN
+	char lfn[FF_MAX_LFN + 1];
 	fno.lfname = lfn;
-	fno.lfsize = _MAX_LFN + 1;
+	fno.lfsize = FF_MAX_LFN + 1;
 #endif
 	ER ret;
 
-#ifdef TOPPERS_OMIT_TECS
-	serial_opn_por(SIO_PORTID);
-#endif
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
-	ntshell_task_init(uart_read, uart_write, &main_obj);
+	ntshell_task_init(SIO_PORTID);
 
 	main_obj.timer = TMO_FEVR;
Index: asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.cfg	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app6_hot_water_pot/src/main.cfg	(revision 374)
@@ -51,4 +51,5 @@
 
 INCLUDE("tecsgen.cfg");
+INCLUDE("mbed_stub.cfg");
 
 INCLUDE("tinet/tinet_asp.cfg");
Index: asp3_tinet_ecnl_arm/trunk/app7_buzzer/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app7_buzzer/Debug/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app7_buzzer/Debug/Makefile	(revision 374)
@@ -163,5 +163,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -208,5 +208,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app7_buzzer/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app7_buzzer/DebugEther/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app7_buzzer/DebugEther/Makefile	(revision 374)
@@ -161,5 +161,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -206,5 +206,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.c	(revision 374)
@@ -67,5 +67,5 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "usrcmd.h"
 #include "util/ntopt.h"
@@ -183,17 +183,12 @@
 {
 	FILINFO fno;
-#if _USE_LFN
-	char lfn[_MAX_LFN + 1];
+#if FF_USE_LFN
+	char lfn[FF_MAX_LFN + 1];
 	fno.lfname = lfn;
-	fno.lfsize = _MAX_LFN + 1;
+	fno.lfsize = FF_MAX_LFN + 1;
 #endif
 	ER ret;
 
-#ifdef TOPPERS_OMIT_TECS
-	serial_opn_por(SIO_PORTID);
-#endif
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
-	ntshell_task_init(uart_read, uart_write, &main_obj);
+	ntshell_task_init(SIO_PORTID);
 
 	main_obj.timer = TMO_FEVR;
Index: asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.cfg	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app7_buzzer/src/main.cfg	(revision 374)
@@ -51,4 +51,5 @@
 
 INCLUDE("tecsgen.cfg");
+INCLUDE("mbed_stub.cfg");
 
 INCLUDE("tinet/tinet_asp.cfg");
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/Debug/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/Debug/Makefile	(revision 374)
@@ -81,4 +81,10 @@
 
 #
+#  システムサービスコールライブラリ（libsyssvc.a）のディレクトリ名
+#  （システムサービスコールライブラリもmake対象にする時は，空に定義する）
+#
+SYSSVC_LIB = 
+
+#
 #  カーネルを関数単位でコンパイルするかどうかの定義
 #
@@ -161,5 +167,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -193,5 +199,5 @@
 	APPL_COBJS := sample1.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o time.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o time.o mbed_stub.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
 ifdef APPLDIRS
@@ -234,4 +240,7 @@
 #  システムサービスに関する定義
 #
+MALLOC_LIB = "${TCINSTALL}arm-none-eabi/lib/thumb/v7-ar/fpv3/hard/libc.a"
+MALLOC_OBJS = lib_a-reent.o lib_a-impure.o lib_a-malloc.o lib_a-mallocr.o lib_a-calloc.o lib_a-callocr.o lib_a-realloc.o lib_a-reallocr.o lib_a-sbrkr.o lib_a-freer.o
+
 SYSSVC_DIRS := $(TECSGENDIR) $(SRCDIR)/tecs_kernel \
 				$(SYSSVC_DIRS) $(SRCDIR)/syssvc
@@ -341,5 +350,5 @@
 #  コンパイルのための変数の定義
 #
-KERNEL_LIB_OBJS = $(KERNEL_ASMOBJS) $(KERNEL_COBJS) $(KERNEL_LCOBJS)
+KERNEL_LIB_OBJS = $(KERNEL_ASMOBJS) $(KERNEL_COBJS) $(KERNEL_LCOBJS) $(MALLOC_OBJS)
 SYSSVC_OBJS = $(SYSSVC_ASMOBJS) $(SYSSVC_COBJS) $(HIDDEN_OBJS)
 APPL_OBJS = $(APPL_ASMOBJS) $(APPL_COBJS) $(APPL_CXXOBJS) $(APPL_BINOBJS)
@@ -355,4 +364,12 @@
 	OBJ_LDFLAGS := $(OBJ_LDFLAGS) -L.
 endif
+ifdef SYSSVC_LIB
+	LIBS_DEP := $(LIBS_DEP) $(SYSSVC_LIB)/libsyssvc.a
+	OBJ_LDFLAGS := $(OBJ_LDFLAGS) -L$(SYSSVC_LIB)
+	REALCLEAN_FILES := $(REALCLEAN_FILES) libsyssvc.a
+else
+	LIBS_DEP := $(LIBS_DEP) libsyssvc.a
+	OBJ_LDFLAGS := $(OBJ_LDFLAGS) -L.
+endif
 
 ifdef TEXT_START_ADDRESS
@@ -418,4 +435,12 @@
 
 #
+#  システムサービスコールライブラリファイルの生成
+#
+libsyssvc.a: $(filter-out tBannerMain.o, $(SYSSVC_OBJS))
+	rm -f libsyssvc.a
+	$(AR) -rcs libsyssvc.a $(filter-out tBannerMain.o, $(SYSSVC_OBJS))
+	$(RANLIB) libsyssvc.a
+
+#
 #  並列makeのための依存関係の定義
 #
@@ -427,5 +452,5 @@
 #  特別な依存関係の定義
 #
-tBannerMain.o: $(filter-out tBannerMain.o,$(ALL_OBJS)) $(LIBS_DEP)
+tBannerMain.o: $(filter-out tBannerMain.o, $(ALL_OBJS)) $(LIBS_DEP)
 
 #
@@ -488,4 +513,7 @@
 	rm -f libkernel.a
 endif
+ifndef SYSSVC_LIB
+	rm -f libsyssvc.a
+endif
 
 .PHONY: cleankernel
@@ -493,4 +521,9 @@
 	rm -f $(OFFSET_H) $(KERNEL_LIB_OBJS)
 	rm -f $(KERNEL_LIB_OBJS:%.o=$(DEPDIR)/%.d)
+
+.PHONY: cleansyssvc
+cleansyssvc:
+	rm -f $(SYSSVC_OBJS)
+	rm -f $(SYSSVC_OBJS:%.o=$(DEPDIR)/%.d)
 
 .PHONY: realclean
@@ -609,4 +642,7 @@
 	$(OBJCOPY) -B arm -I binary -O elf32-littlearm --rename-section .data=.rodata $< $*.o
 
+$(MALLOC_OBJS):
+	$(AR) x $(MALLOC_LIB) "$@"
+
 #
 #  デフォルトコンパイルルールを上書き
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/Makefile.core
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/Makefile.core	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/Makefile.core	(revision 374)
@@ -55,3 +55,3 @@
 	$(CC) -c $(CFLAGS) $(KERNEL_CFLAGS) $<
 
-LDFLAGS := -nostdlib $(LDFLAGS)
+LDFLAGS := -nodefaultlibs $(LDFLAGS)
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/arm.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/arm.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/arm.h	(revision 374)
@@ -5,5 +5,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2006-2016 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2006-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -119,4 +119,12 @@
 
 /*
+ *  CP15のコプロセッサアクセス制御レジスタ（CPACR）の設定値
+ */
+#define CP15_CPACR_ASEDIS			UINT_C(0x80000000)
+#define CP15_CPACR_D32DIS			UINT_C(0x40000000)
+#define CP15_CPACR_CP11_FULLACCESS	UINT_C(0x00c00000)
+#define CP15_CPACR_CP10_FULLACCESS	UINT_C(0x00300000)
+
+/*
  *  CP15のフォールト状態レジスタの参照値
  */
@@ -444,3 +452,9 @@
 
 #endif /* TOPPERS_MACRO_ONLY */
+
+/*
+ *  浮動小数点例外制御レジスタ（FPEXC）の設定値
+ */
+#define FPEXC_ENABLE		UINT_C(0x40000000)
+
 #endif /* TOPPERS_ARM_H */
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/arm_insn.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/arm_insn.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/arm_insn.h	(revision 374)
@@ -5,5 +5,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2006-2017 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2006-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -227,4 +227,8 @@
 #define CP15_WRITE_ACTLR(reg)	Asm("mcr p15, 0, %0, c1, c0, 1"::"r"(reg))
 
+/* コプロセッサアクセス制御レジスタ */
+#define CP15_READ_CPACR(reg)	Asm("mrc p15, 0, %0, c1, c0, 2":"=r"(reg))
+#define CP15_WRITE_CPACR(reg)	Asm("mcr p15, 0, %0, c1, c0, 2"::"r"(reg))
+
 /*
  *  CP15によるキャッシュ操作マクロ
@@ -421,3 +425,25 @@
 
 #endif /* __TARGET_ARCH_ARM == 7 */
+
+/*
+ *  浮動小数点例外制御レジスタ（FPEXC）の現在値の読出し
+ */
+Inline uint32_t
+current_fpexc(void)
+{
+	uint32_t	fpexc;
+
+	Asm("vmrs %0, fpexc" : "=r"(fpexc));
+	return(fpexc);
+}
+
+/*
+ *  浮動小数点例外制御レジスタ（FPEXC）の現在値の変更
+ */
+Inline void
+set_fpexc(uint32_t fpexc)
+{
+	Asm("vmsr fpexc, %0" : : "r"(fpexc));
+}
+
 #endif /* TOPPERS_ARM_INSN_H */
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/core_check.trb
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/core_check.trb	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/core_check.trb	(revision 374)
@@ -19,6 +19,7 @@
 #
 inhTable = SYMBOL("_kernel_inh_table")
+offset = SYMBOL("__etext") - SYMBOL("__data_start__")
 $cfgData[:DEF_INH].each do |key, params|
-  inthdr = PEEK(inhTable + params[:inhno] * $sizeof_FP, $sizeof_FP)
+  inthdr = PEEK(inhTable + offset + params[:inhno] * $sizeof_FP, $sizeof_FP)
 
   #	割込みハンドラの先頭番地のチェック［NGKI3056］
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/core_kernel.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/core_kernel.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/arch/arm_gcc/common/core_kernel.h	(revision 374)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2016 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -51,4 +51,9 @@
 #ifndef TOPPERS_CORE_KERNEL_H
 #define TOPPERS_CORE_KERNEL_H
+
+/*
+ *  ターゲット定義のタスク属性
+ */
+#define TA_FPU		UINT_C(0x08)	/* FPUレジスタをコンテキストに含める */
 
 /*
